Index: /trunk/zoo-project/zoo-services/arithmetics/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/arithmetics/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/arithmetics/Makefile	(revision 650)
@@ -3,5 +3,5 @@
 
 cgi-env/test_service.zo: test_service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/test_service.zo ./test_service.c
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/test_service.zo ./test_service.c -lzoo_service
 
 clean:
Index: /trunk/zoo-project/zoo-services/cgal/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/cgal/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/cgal/Makefile	(revision 650)
@@ -7,5 +7,5 @@
 	g++ ${CFLAGS} -c ./delaunay.c
 	g++ ${CFLAGS} -c ./voronoi.c
-	g++ ${CFLAGS} -shared -o cgi-env/cgal_service.zo ./delaunay.o ./voronoi.o ./cgal_service.o ${GDAL_LIBS} ${MACOS_LD_FLAGS} ${CGAL_LDFLAGS} -lCGAL -lgmp -lgdal
+	g++ ${CFLAGS} -shared -o cgi-env/cgal_service.zo ./delaunay.o ./voronoi.o ./cgal_service.o ${GDAL_LIBS} ${MACOS_LD_FLAGS} ${CGAL_LDFLAGS} -lCGAL -lgmp -lgdal -lzoo_service
 
 cgal_service.o: cgal_service.c cgal_service.h
Index: /trunk/zoo-project/zoo-services/gdal/contour/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/contour/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/gdal/contour/Makefile	(revision 650)
@@ -5,5 +5,5 @@
 
 cgi-env/contour_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/contour_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS}
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/contour_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -lzoo_service
 install:
 	install -d ${CGI_DIR}/gdal/contour
Index: /trunk/zoo-project/zoo-services/gdal/dem/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/dem/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/gdal/dem/Makefile	(revision 650)
@@ -5,5 +5,5 @@
 
 cgi-env/dem_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/dem_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS}
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/dem_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/gdal/grid/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/grid/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/gdal/grid/Makefile	(revision 650)
@@ -5,5 +5,5 @@
 
 cgi-env/service.zo: service.c
-	g++  -DZOO_SERVICE ${CFLAGS} -shared -fpic -o cgi-env/gdal_grid_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS}
+	g++  -DZOO_SERVICE ${CFLAGS} -shared -fpic -o cgi-env/gdal_grid_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/gdal/profile/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/profile/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/gdal/profile/Makefile	(revision 650)
@@ -5,5 +5,5 @@
 
 cgi-env/profile_service.zo: service.c
-	g++  -DZOO_SERVICE ${CFLAGS} -shared -fpic -o cgi-env/profile_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS}
+	g++  -DZOO_SERVICE ${CFLAGS} -shared -fpic -o cgi-env/profile_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/gdal/translate/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/translate/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/gdal/translate/Makefile	(revision 650)
@@ -5,5 +5,5 @@
 
 cgi-env/translate_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/translate_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS}
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/translate_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/gdal/warp/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/gdal/warp/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/gdal/warp/Makefile	(revision 650)
@@ -5,6 +5,5 @@
 
 cgi-env/warp_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/warp_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS}
-
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/warp_service.zo ./service.c ${GDAL_LIBS} ${MACOS_LD_FLAGS} -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/ogr/base-vect-ops/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/ogr/base-vect-ops/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/ogr/base-vect-ops/Makefile	(revision 650)
@@ -10,5 +10,5 @@
 
 cgi-env/ogr_service.zo: service.c
-	g++ ${CFLAGS} -shared -fpic -o cgi-env/ogr_service.zo ./service.c ../../../zoo-kernel/service_internal.o ${JS_LDFLAGS} ${JSLDFLAGS} ${GDAL_LIBS} ${XML2LDFLAGS} ${MACOS_LD_FLAGS} ${ZOO_LDFLAGS} ${MACOS_LD_NET_FLAGS} ${GEOS_LDFLAGS}  ${MS_FILES} -lfcgi  -lpthread
+	g++ ${CFLAGS} -shared -fpic -o cgi-env/ogr_service.zo ./service.c ${GDAL_LIBS} ${XML2LDFLAGS} ${MACOS_LD_FLAGS} ${ZOO_LDFLAGS} ${MACOS_LD_NET_FLAGS} ${GEOS_LDFLAGS} -lfcgi  -lpthread -lzoo_service
 
 install:
Index: /trunk/zoo-project/zoo-services/ogr/ogr2ogr/Makefile
===================================================================
--- /trunk/zoo-project/zoo-services/ogr/ogr2ogr/Makefile	(revision 649)
+++ /trunk/zoo-project/zoo-services/ogr/ogr2ogr/Makefile	(revision 650)
@@ -5,5 +5,5 @@
 
 cgi-env/ogr2ogr_service.zo: service.c $(DEP_LIBS)
-	g++ $(CFLAGS) $(CPPFLAGS) -shared -fpic $<  -o $@
+	g++ $(CFLAGS) $(CPPFLAGS) -shared -fpic $<  -o $@ ${GDAL_LIBS} -lzoo_service
 
 install: