Index: branches/PublicaMundi_David-devel/docs/_templates/index.html
===================================================================
--- branches/PublicaMundi_David-devel/docs/_templates/index.html	(revision 506)
+++ 	(revision )
@@ -1,3 +1,0 @@
-{% extends "layout.html" %}
-{% set title = 'Overview' %}
-
Index: branches/PublicaMundi_David-devel/docs/_templates/indexsidebar.html
===================================================================
--- branches/PublicaMundi_David-devel/docs/_templates/indexsidebar.html	(revision 506)
+++ branches/PublicaMundi_David-devel/docs/_templates/indexsidebar.html	(revision 659)
@@ -1,20 +1,39 @@
-<div class="categories">
-  <a href="/site/Downloads"><h1>Download now !</h1>
-        <p class="version">ZOO Version 1.3.0</p></a>
-</div>
-<div class="donate">
-  <h1 id="SupportZOO-Project">Support ZOO-Project</h1>
-    <form action="https://www.paypal.com/cgi-bin/webscr" method="post" style="text-align: center;">
-      <input type="hidden" name="cmd" value="_s-xclick"></input>
-      <input type="hidden" name="hosted_button_id" value="WTHKTUQBHBHSQ"></input>
-      <input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!" style="border:0"></input>
-      <img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1"></img>
-    </form>
-</div>
-<div class="twitts">
-  <h1 id="FollowtheZOO">Follow the ZOO</h1>
-    <p>
-      <a style="padding:0; border:none" href="http://twitter.com/ZOO_Project"><img src="http://a0.twimg.com/a/1291253242/images/fronts/logo_withbird_home.png" alt="http://a0.twimg.com/a/1291253242/images/fronts/logo_withbird_home.png" title="http://a0.twimg.com/a/1291253242/images/fronts/logo_withbird_home.png"></img></a>
-    </p>
-</div>
+<p class="logo">A <a href="http://pocoo.org/">
+  <img src="{{ pathto("_static/pocoo.png", 1) }}" alt="Pocoo" /></a>
+  {%trans%}project{%endtrans%}</p>
 
+<h3>Download</h3>
+{% if version.endswith('a0') %}
+<p>{%trans%}This documentation is for version <b>{{ version }}</b>, which is
+  not released yet.{%endtrans%}</p>
+<p>{%trans%}You can use it from the
+  <a href="https://github.com/sphinx-doc/sphinx/">Git repo</a> or look for
+  released versions in the <a href="https://pypi.python.org/pypi/Sphinx">Python
+    Package Index</a>.{%endtrans%}</p>
+{% else %}
+<p>{%trans%}Current version: <b>{{ version }}</b>{%endtrans%}</p>
+<p>{%trans%}Get Sphinx from the <a href="https://pypi.python.org/pypi/Sphinx">Python Package
+Index</a>, or install it with:{%endtrans%}</p>
+{% if version.split('b')|length > 1 %}
+<pre>pip install Sphinx=={{ version }}</pre>
+<p>{%trans%}<a href="http://sphinx-doc.org/">Stable version docs</a>
+are also available.{%endtrans%}</p>
+{% else %}
+<pre>pip install -U Sphinx</pre>
+<p>{%trans%}Latest <a href="http://sphinx-doc.org/latest/">development version docs</a>
+are also available.{%endtrans%}</p>
+{% endif %}
+{% endif %}
+
+<h3>{%trans%}Questions? Suggestions?{%endtrans%}</h3>
+
+<p>{%trans%}Join the <a href="http://groups.google.com/group/sphinx-users">Google group</a>:{%endtrans%}</p>
+<form action="http://groups.google.com/group/sphinx-users/boxsubscribe"
+      style="padding-left: 0.5em">
+  <input type="text" name="email" value="your@email" style="font-size: 90%; width: 120px"
+         onfocus="$(this).val('');"/>
+  <input type="submit" name="sub" value="Subscribe" style="font-size: 90%; width: 70px"/>
+</form>
+<p>{%trans%}or come to the <tt>#sphinx-doc</tt> channel on FreeNode.{%endtrans%}</p>
+<p>{%trans%}You can also open an issue at the
+  <a href="https://github.com/sphinx-doc/sphinx/issues">tracker</a>.{%endtrans%}</p>
Index: branches/PublicaMundi_David-devel/docs/_templates/layout.html
===================================================================
--- branches/PublicaMundi_David-devel/docs/_templates/layout.html	(revision 506)
+++ 	(revision )
@@ -1,165 +1,0 @@
-{% extends "!layout.html" %}
-
-{% block extrahead %}
-
-<script type="text/javascript">
-$(document).ready(function(){
-
-	$("ul.topnav li a").hover(function() {
-
-		//Following events are applied to the subnav itself (moving subnav up and down)
-		$(this).parent().find("ul.subnav").slideDown('fast').show(); //Drop down the subnav on click
-
-		$(this).parent().hover(function() {
-		}, function(){
-			$(this).parent().find("ul.subnav").slideUp('slow'); //When the mouse hovers out of the subnav, move it back up
-		});
-
-		//Following events are applied to the trigger (Hover events for the trigger)
-		}).hover(function() {
-			$(this).addClass("subhover"); //On hover over, add class "subhover"
-		}, function(){	//On Hover Out
-			$(this).removeClass("subhover"); //On hover out, remove class "subhover"
-	});
-
-});
-</script>
-
-    {{ super() }}
-{% endblock %}
-
-{% block header %}
-<!-- Begin Header -->
-<div id="wrapper">
-  	<div id="myheader">
-    	<div class="hleft">
-    	  <h1 class="title">Open WPS Platform</h1>
-    	</div>
-    	<div class="hright">
-    	</div>
-  	</div>
-</div>
-<ul class="topnav">
-  <li><a href="http://www.zoo-project.org/">Home</a></li>
-  <li><a href="#">ZOO Project</a>
-       <ul class="subnav">
-
-         <li><a href="/site/ZooWebSite/ZooProject/About">About</a></li>
-         <li><a href="/site/ZooWebSite/ZooProject/Tribe">ZOO Tribe</a></li>
-         <li><a href="/site/ZooWebSite/ZooProject/Events">Events</a></li>
-         <li><a href="/site/ZooWebSite/ZooProject/Photos">Photos</a></li>
-         <li><a href="/site/ZooWebSite/ZooProject/Contact">Contacts</a></li>
-       </ul>
-
-  </li>
-  <li>
-    <a href="#">Components</a>
-    <ul class="subnav">
-      <li><a href="/site/ZooWebSite/ZooKernel">ZOO Kernel</a></li>
-      <li><a href="/site/ZooWebSite/ZooServices">ZOO Services</a></li>
-      <li><a href="/site/ZooWebsite/ZooApi">ZOO API</a></li>
-
-    </ul>
-  </li>
-  <li><a href="/site/Downloads">Download</a></li>
-  <li><a href="{{ pathto('index') }}">Docs</a></li>
-  <li><a href="#">Demos</a>
-    <ul class="subnav">
-      <li><a href="/site/ZooWebSite/Demo/SpatialTools">ZOO Spatial Tools</a></li>
-
-      <li><a href="/site/ZooWebSite/Demo/CGAL">ZOO CGAL Vor</a></li>
-      <li><a href="/site/ZooWebSite/Demo/WFS-T">ZOO Mapserver WFS-T</a></li>
-      <li><a href="/site/ZooWebSite/Demo/GdalProfile">ZOO Elevation Profile</a></li>
-      <li><a href="/site/ZooWebSite/Demo/FormTools">ZOO Form tools</a></li>
-    </ul>
-  </li>
-  <li><a href="/trac">Trac</a></li>
-</ul>
-<!-- End Header -->
-    {{ super() }}
-{% endblock %}
-
-{% block footer %}
-<!-- Begin Footer -->
-<div id="footer">
-<div>
-
-<div>
-  <div class="menuContainer">
-    <div class="menuItemList">
-      <a href="{{ pathto('index') }}" shape="rect">Home</a>
-      <br/>
-    </div>
-    <div class="menuItemList">
-      <a href="#" shape="rect">ZOO Project</a>
-
-      <br/>
-      <a href="/site/ZooWebSite/ZooProject/About" shape="rect">About</a>
-      <br/>
-      <a href="/site/ZooWebSite/ZooProject/Tribe" shape="rect">ZOO Tribe</a>
-      <br/>
-      <a href="/site/ZooWebSite/ZooProject/Events" shape="rect">Events</a>
-      <br/>
-
-      <a href="/site/ZooWebSite/ZooProject/Photos" shape="rect">Photos</a>
-      <br/>
-      <a href="/site/ZooWebSite/ZooProject/Contact" shape="rect">Contacts</a>
-      <br/>
-    </div>
-    <div class="menuItemList">
-      <a href="#" shape="rect">Components</a>
-
-      <br/>
-      <a href="/site/ZooWebSite/ZooKernel" shape="rect">ZOO Kernel</a>
-      <br/>
-      <a href="/site/ZooWebSite/ZooServices" shape="rect">ZOO Services</a>
-      <br/>
-      <a href="/site/ZooWebsite/ZooApi" shape="rect">ZOO API</a>
-      <br/>
-
-    </div>
-    <div class="menuItemList">
-      <a href="{{ pathto('dl/index') }}" shape="rect">Download</a>
-      <br/>
-    </div>
-    <div class="menuItemList">
-      <a href="{{ pathto('doc/index') }}" shape="rect">Docs</a>
-      <br/>
-
-    </div>
-    <div class="menuItemList">
-      <a href="#" shape="rect">Demos</a>
-      <br/>
-      <a href="/site/ZooWebSite/Demo/SpatialTools" shape="rect">ZOO Spatial Tools</a>
-      <br/>
-      <a href="/site/ZooWebSite/Demo/WFS-T" shape="rect">ZOO Mapserver WFS-T</a>
-
-      <br/>
-      <a href="/site/ZooWebSite/Demo/GdalProfile" shape="rect">ZOO Elevation Profile</a>
-      <br/>
-      <a href="/site/ZooWebSite/Demo/FormTools" shape="rect">ZOO Form tools</a>
-      <br/>
-    </div>
-    <div class="menuItemList">
-      <a href="/trac" shape="rect">Trac</a>
-
-      <br/>
-    </div>
-  </div>
-  <br style="clear:both"/>
-</div>
-</div>
-<p>
-&copy; Copyright 2011 - <a class="ext-link" href="http://www.zoo-project.org" shape="rect"><span class="icon"> </span>ZOO Project</a> - All Rights Reserved. Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> {{sphinx_version}}.
-</p>
-</div>
-<!-- End Footer -->
-    {{ super() }}
-{% endblock %}
-
-{# put the sidebar before the body #}
-{% block sidebar1 %}{% endblock %}
-{% block sidebar2 %}{{ sidebar() }}{% endblock %}
-
-{# remove second relbar, at the bottom of the page #}
-{% block relbar2 %}{% endblock %}