Index: /branches/PublicaMundi_David-devel/docs/contribute/code.rst
===================================================================
--- /branches/PublicaMundi_David-devel/docs/contribute/code.rst	(revision 662)
+++ /branches/PublicaMundi_David-devel/docs/contribute/code.rst	(revision 663)
@@ -1,14 +1,62 @@
+.. _contribute_code:
+
 Contribute code
 ===============
 
-Anybody is welcome to share and contribute ideas, code, documentation or any relevant resource
-using the following media.
+Anybody is welcome to share source code and to report bugs or feature requests using the following instructions.
 
 Submit new code
 --------------------------
 
+For new comers
+*************************
 
-Report a code issue
+New source code or existing source code corrections (patches) should be submitted using the ZOO-Project bug tracking system (ZOO-Trac).
+
+Create a new ticket in order to describe your code or patch and attach it to the ticket (attach all the needed files needed to use your code or patch). It will then be checked and discussed with the developers, and can potentially be merged with the trunk.
+
+For registered developers
+***************************
+
+ZOO-Project registered developers have direct svn access and can:
+
+* Commit fixes, enhancement and new source directly to trunk
+  
+* Create and commit to a new branch of the svn
+
+Bug tracking
 --------------------------
 
+General information
+*********************
 
+Bug reports and wishes can be submitted using the ZOO-Trac. This requires you to setup a user account (userid) using this section.
+
+The following trackers are available:
+
+* *defects* to report bugs and 'bad' features
+* *enhancement* to describe feature wishes
+* *task* to describe any different but relevant topic.
+
+The following components are available:
+
+* *Developemnt platform* to report bugs and 'bad' features
+* *ZOO-Kernel* to report a bug or problem with the ZOO-Project WPS server
+* *ZOO-Services* to report a bug or problem with the ZOO-Project WPS services
+* *ZOO-API* to report a bug or problem with the ZOO-Project API
+* *ZOO-Client* to report a bug or problem with the ZOO-Project Client
+* *Documentation* to report a problem or suggest an enhancement to the documentation
+  
+Best practices
+*********************
+
+Please consider the following when submitting bugs or feature requests:
+
+* Check if the bug is still persistent in svn trunk before reporting. If you use an older version, please consider upgrading.
+* Before reporting a bug, please search if it is yet unknown in the bug tracking system.
+* Give an appropriate, starightforward and understandable title to your ticket using the *Summary* field   
+* Make sure the developers get all the needed information to recreate the bug using the *Description* field (e.g. tell about your configuration and explain every step to reproduce the bug).
+* Select at least a *Type* of tracker and a *Component* for your new ticket.
+* Report only one single bug by ticket.
+
+
Index: /branches/PublicaMundi_David-devel/docs/contribute/doc.rst
===================================================================
--- /branches/PublicaMundi_David-devel/docs/contribute/doc.rst	(revision 663)
+++ /branches/PublicaMundi_David-devel/docs/contribute/doc.rst	(revision 663)
@@ -0,0 +1,160 @@
+.. _contribute_doc:
+
+Contribute documentation
+==================
+
+ZOO Documentation is a collaborative process managed by the ZOO develoeprs. Anybody is welcome to contribute to the ZOO-Project documentation. Please consider the following instructions before doing so.
+
+For new comers
+*************************
+
+New users are encouraged to contribute documentation using the following ways:
+
+* Download the ZOO-Project svn, edit the documentation files located /docs directory and share the modifications through a new ticket set to 'Documentation' tracker
+* Create a wiki page containg new or corrected documentation text, and create a new ticket to report its creation. 
+
+The ZOO developers responsible for the documentation will then review the contributions to add them into the official docs.
+
+For registered developers
+****************************
+
+The current structure of the ZOO Project documentation process is for developers with :ref:`SVN <svn>` commit access to maintain their documents in reStructuredText format, and therefore all documents live in the /docs directory in SVN.  The `Sphinx <http://sphinx.pocoo.org/>`__ documentation generator is used to convert the reStructuredText files to html, and the live
+website is then updated on an hourly basis.
+
+
+Installing and using Sphinx
+------------------------
+
+On Linux
+***********
+
+* Make sure you have the Python dev and setuptools packages installed.
+   On Ubuntu:
+
+   ::
+
+       sudo apt-get install python-dev
+       sudo apt-get install python-setuptools
+
+* Install sphinx using easy_install:
+
+   ::
+
+       sudo easy_install Sphinx
+       
+   .. note::
+    
+      Make sure you install Sphinx 1.0 or more recent.  See note above.  
+      
+* Checkout the /docs directory from SVN, such as:
+
+   ::
+  
+       svn checkout http://svn.zoo-project.org/svn/trunk zoo-project      
+
+* To process the docs, from the ZOO /docs directory, run:
+
+   ::
+
+       make html
+
+   or
+
+   ::
+
+       make latex
+
+   The HTML output will be written to the build/html sub-directory.
+
+.. note::
+
+    If there are more than one translation, the above commands will automatically
+    build all translations.
+
+
+On Mac OS X
+****************
+
+* Install sphinx using easy_install:
+
+   ::
+
+       sudo easy_install Sphinx
+       
+   .. note::
+   
+      Make sure you install Sphinx 1.0 or more recent.  See note above.        
+
+* Install `MacTex <http://www.tug.org/mactex/2009/>`__ if you want to build pdfs
+
+* Checkout the /docs directory from SVN, such as:
+
+   ::
+  
+       svn checkout http://svn.zoo-project.org/svn/trunk zoo-project
+
+* To process the docs, from the ZOO /docs directory, run:
+
+   ::
+
+       make html
+
+   or
+
+   ::
+
+       make latex
+
+   The HTML output will be written to the build/html sub-directory.
+
+
+On Windows
+**************
+
+* Install `Python 2.X <http://www.python.org/>`__
+* Download `setuptools <http://pypi.python.org/pypi/setuptools#windows>`__
+* Make sure that the ``C:/Python2X/Scripts`` directory is your path
+* Execute the following at commandline:
+
+   ::
+
+       easy_install Sphinx
+
+   ...you should see message: "Finished processing dependencies for Sphinx"
+
+   .. note::
+   
+      Make sure you install Sphinx 1.0 or more recent.  See note above.
+      
+* Install `MiKTeX <http://miktex.org>`__ if you want to build pdfs
+      
+* Checkout the /docs directory from SVN, such as:
+
+   ::
+  
+       svn checkout http://svn.zoo-project.org/svn/trunk zoo-project
+      
+* Inside the /docs directory, execute:
+
+   ::
+
+       make html
+
+   or
+
+   ::
+
+       make latex
+
+   The HTML output will be written to the _build/html sub-directory.
+
+
+reStructuredText Reference Guides
+***************************************
+
+The following resources are considered as useful for editing and creating new ZOO-Project documentation files.
+
+- Docutils `Quick reStructuredText <http://docutils.sourceforge.net/docs/user/rst/quickref.html>`__
+- Docutils `reStructuredText Directives <http://docutils.sourceforge.net/docs/ref/rst/directives.html>`__
+- Sphinx's `reStructuredText Primer <http://sphinx.pocoo.org/rest.html>`__
+- search Sphinx's `mailing list <http://groups.google.com/group/sphinx-dev>`__
Index: /branches/PublicaMundi_David-devel/docs/contribute/howto.rst
===================================================================
--- /branches/PublicaMundi_David-devel/docs/contribute/howto.rst	(revision 662)
+++ /branches/PublicaMundi_David-devel/docs/contribute/howto.rst	(revision 663)
@@ -2,46 +2,36 @@
 ==================
 
-Please consider the following simple rules if you would like to
-contribute to `ZOO-Project <http://zoo-project.org>`__ .
-
+Please consider the following simple rules if you would like to contribute to  the `ZOO-Project <http://zoo-project.org>`__  open source software.
 
 Community 
 -------------------
 
-Anybody is welcome to share and contribute ideas, code, documentation
-or any relevant resource. This should be done according to the directives stated in the ZOO-Project :ref:`contribute_index`.
+Anybody is welcome to share and contribute ideas, code, documentation or any relevant resource. This should be done according to the directives stated in the ZOO-Project :ref:`contribute_index`.
+
+Governance
+......................................
+
+`ZOO-Project <http://zoo-project.org>`__ activities are directed by the Project Steering Committee (PSC) and the software itself is being developed, maintained and documented by an international community of users and developers (aka `ZOO-Tribe <http://zoo-project.org/new/ZOO-Project/ZOO%20Tribe>`_).
+
+Contributions are moderated and integrated in trunk at the discretion of the `ZOO-Project <http://zoo-project.org>`__ PSC. Commit access are usually granted to active contributors by vote from the PSC members. 
 
 Licensing
 ......................................
 
-`ZOO-Project <http://zoo-project.org>`__ source code is open source and
-made available under the `MIT/X-11
-<http://opensource.org/licenses/MITlicense>`__  `license
-<http://zoo-project.org/trac/browser/trunk/zoo-project/LICENSE>`__. You
-must agree to the terms of that same license when creating, submiting
-and releasing new source code.
+`ZOO-Project <http://zoo-project.org>`__ source code is open source and made available under the `MIT/X-11 <http://opensource.org/licenses/MITlicense>`__  `license
+<http://zoo-project.org/trac/browser/trunk/zoo-project/LICENSE>`__. You must agree to the terms of that same license when creating, submiting and releasing new source code.
 
-`ZOO-Project <http://zoo-project.org>`__ documentation is open source and
-made available under the `Creative Commons Attribution-ShareAlike 4.0 International Public License
-<https://creativecommons.org/licenses/by-sa/4.0/legalcode>`__ . You
-must agree to the terms of that same license when creating, submiting
-and releasing a new documentation file.
-
-
-Governance
-......................................
-
-
+`ZOO-Project <http://zoo-project.org>`__ documentation is open source and made available under the `Creative Commons Attribution-ShareAlike 4.0 International Public License
+<https://creativecommons.org/licenses/by-sa/4.0/legalcode>`__ . You must agree to the terms of that same license when creating, submiting and releasing a new documentation file.
 
 Available media
 -------------------
 
-Discussions and contributions are encouraged using the following media
+Discussions and contributions to `ZOO-Project <http://zoo-project.org>`__ are encouraged using the following public media.
 
 Mailing lists
 ......................................
 
-Post any feedback, comment or idea to the general public mailing
-list. For project managment or governance topics, use the PSC list.
+Feel free to post any question, feedback, comment or idea to the general public mailing list. For project managment or governance topics, please use the PSC list.
 
 ..   csv-table::
@@ -55,12 +45,14 @@
 ......................................
 
-Join #zoo-project channel on irc.freenode.net to discuss with the ZOO-Tribe
+Join the **#zoo-project** channel on irc.freenode.net to discuss with the ZOO-Tribe at any time.
 
 
-Tracker and wiki
+Tracker
 ......................................
 
-Contributions and bug reports should be shared using the `ZOO-Project
-<http://zoo-project.org>`__ bug tracking system, as specified in the
-:ref:`contribute-code` section. Wiki pages can also be created to
-describe contributions and or actions.
+Bug reports and code patches should be shared using the `ZOO-Project <http://zoo-project.org>`__ bug tracking system, as specified in the :ref:`contribute-code` section. 
+
+Wiki
+......................................
+
+Wiki pages can also be created by registered users. They can be used in order to describe any concept, contribution and or action that benefits or is related to the project.
Index: /branches/PublicaMundi_David-devel/docs/contribute/index.rst
===================================================================
--- /branches/PublicaMundi_David-devel/docs/contribute/index.rst	(revision 662)
+++ /branches/PublicaMundi_David-devel/docs/contribute/index.rst	(revision 663)
@@ -15,2 +15,3 @@
    howto
    code
+   doc
Index: /branches/PublicaMundi_David-devel/docs/install/install-prerequisites.rst
===================================================================
--- /branches/PublicaMundi_David-devel/docs/install/install-prerequisites.rst	(revision 662)
+++ /branches/PublicaMundi_David-devel/docs/install/install-prerequisites.rst	(revision 663)
@@ -17,4 +17,5 @@
 - OpenSSL (  http://www.openssl.org )
 - Python (  http://www.python.org )
+- GDAL (for using the available GDAL based ZOO-Services) (http://gdal.org/) 
 
  .. warning::
@@ -32,4 +33,5 @@
 - SAGA GIS (for ZOO-Kernel optional SAGA support)(http://www.saga-gis.org/en/index.html/)
 - OrfeoToolbox (for ZOO-Kernel optional OTB support) (https://www.orfeo-toolbox.org/)
+- Insight Segmentation and Registration Toolkit  (http://itk.org/ITK/resources/software.html/>)
 - GRASS GIS (for using it through WPSGrassBridge) (http://grass.osgeo.org)
-- GDAL (for using the available GDAL based ZOO-Services) (http://gdal.org/) 
+
Index: /branches/PublicaMundi_David-devel/docs/intro.rst
===================================================================
--- /branches/PublicaMundi_David-devel/docs/intro.rst	(revision 662)
+++ /branches/PublicaMundi_David-devel/docs/intro.rst	(revision 663)
@@ -34,5 +34,5 @@
 -------------------
 
-`ZOO-Project <http://zoo-project.org>`__  is open source and released under the terms of the `MIT/X-11 <http://opensource.org/licenses/MITlicense>`__  `license <http://zoo-project.org/trac/browser/trunk/zoo-project/LICENSE>`__ . ZOO-Project activities are directed by the Project Steering Committee (PSC) and the software itself is being developed, maintained and documented by an international `community <http://zoo-project.org/new/ZOO-Project/ZOO%20Tribe>`__ of users and developers.
+`ZOO-Project <http://zoo-project.org>`__  is open source and released under the terms of the `MIT/X-11 <http://opensource.org/licenses/MITlicense>`__  `license <http://zoo-project.org/trac/browser/trunk/zoo-project/LICENSE>`__ . ZOO-Project activities are directed by the Project Steering Committee (PSC) and the software itself is being developed, maintained and documented by an international community of users and developers (aka `ZOO-Tribe <http://zoo-project.org/new/ZOO-Project/ZOO%20Tribe>`_).
 
 Please refer to the ZOO-Project :ref:`contribute_index` if you want to participate and contribute. It is easy to `get involved <http://zoo-project.org/new/Get involved/>`__ on code, documentation or translation, and everybody is welcome in the `ZOO-Tribe <http://zoo-project.org/new/ZOO-Project/ZOO%20Tribe/>`__.
Index: /branches/PublicaMundi_David-devel/docs/kernel/orfeotoolbox.rst
===================================================================
--- /branches/PublicaMundi_David-devel/docs/kernel/orfeotoolbox.rst	(revision 662)
+++ /branches/PublicaMundi_David-devel/docs/kernel/orfeotoolbox.rst	(revision 663)
@@ -5,6 +5,5 @@
 
 `Orfeo Toolbox <http://orfeo-toolbox.org/otb/>`_ provides simple to advanced algorithms for processing imagery available from remote sensors.
-The optional Orfeo Toolbox support is available since `ZOO-Project 1.5
-<http://zoo-project.org>`__. It allows to execute the `OTB Applications <http://orfeo-toolbox.org/otb/otb-applications.html>`_ directly as ZOO WPS Services thanks to a :ref:`kernel_index` specific internal mechanism which is detailed in this section.
+The optional Orfeo Toolbox support is available since `ZOO-Project 1.5 <http://zoo-project.org>`__. It allows to execute the `OTB Applications <http://orfeo-toolbox.org/otb/otb-applications.html>`_ directly as ZOO WPS Services thanks to a :ref:`kernel_index` specific internal mechanism which is detailed in this section.
 
 .. note:: 
@@ -23,13 +22,12 @@
 ------------------------------
 
-Follow the step described bellow in order to activate the ZOO-Project
-optional Orfeo Toolbox support.
+Follow the step described bellow in order to activate the ZOO-Project optional Orfeo Toolbox support.
 
 Prerequisites
-.............
+.....................
 
    * latest `ZOO-Kernel <http://zoo-project.org/trac/browser/trunk/zoo-project/zoo-kernel>`_ trunk version
-   * Orfeo Toolbox (`OTB 4.2.1 <http://orfeo-toolbox.org/otb/>`_ )
-   * Insight Segmentation and Registration Toolkit  (`ITK-4.7 <http://itk.org/ITK/resources/software.html/>`_ )
+   * Orfeo Toolbox (`OTB 4.2.1 <http://orfeo-toolbox.org/otb/>`_)
+   * Insight Segmentation and Registration Toolkit  (`ITK-4.7 <http://itk.org/ITK/resources/software.html/>`_)
 
 Installation steps
@@ -57,8 +55,8 @@
 
 Configuration steps
-*************************
+....................................
 
 Main configuration file
-^^^^^^^^^^^^^^^^^^^^^^^
+*************************
 
 Add the following content to your ``/usr/lib/cgi-bin/main.cfg`` file 
@@ -70,5 +68,5 @@
 
 Services configuration file
-^^^^^^^^^^^^^^^^^^^^^^^^^^
+****************************
 
 The build of the `otb2zcfg  <http://zoo-project.org/trac/browser/trunk/thirds/otb2zcfg>`_ utility is required to activate the available OTB Applications as WPS services. This can be done using the following command: 
@@ -96,6 +94,6 @@
      The ITK_AUTOLOAD_PATH environment variable is required in the [env] section of your main.cfg.
 
-Test the ZOO OTB support
-^^^^^^^^^^^^^^^^^^^^^^^
+Test requests
+****************************
 
 Once done, OTB Applications should be listed as available WPS Services when runing a GetCapabilities request
@@ -111,5 +109,5 @@
    http://localhost/cgi-bin/zoo_loader.cgi?request=DescribeProcess&service=WPS&version=1.0.0&Identifier=OTB.BandMath
 
-As an example, here is a test request executing the OTB.BandMath Application with the OTB Cookbook sample data as input
+Here is an example request executing the *OTB.BandMath* Application with the `OTB Cookbook <https://www.orfeo-toolbox.org/CookBook/CookBook.html>`_ sample data as input
 
 .. code-block:: guess
@@ -119,5 +117,6 @@
 
 .. note::
-   When executing OTB applications as WPS Services, it is also possible to check the OTB process status, using the usual ZOO GetStatus request.
+
+   The usual ZOO GetStatus requests also work when using the OTB Applications as WPS Services.
 
 
Index: /branches/PublicaMundi_David-devel/docs/kernel/sagagis.rst
===================================================================
--- /branches/PublicaMundi_David-devel/docs/kernel/sagagis.rst	(revision 662)
+++ /branches/PublicaMundi_David-devel/docs/kernel/sagagis.rst	(revision 663)
@@ -18,9 +18,4 @@
 
 
-How does it work ?
--------------------------
-
-
-
 Installation and configuration
 ------------------------------
@@ -29,5 +24,5 @@
 
 Prerequisites
-.............
+.....................
 
    * latest `ZOO-Kernel <http://zoo-project.org/trac/browser/trunk/zoo-project/zoo-kernel>`_ trunk version
@@ -62,73 +57,49 @@
 
 Configuration steps
-*************************
+...............................
 
-Main configuration file
-^^^^^^^^^^^^^^^^^^^^^^^
+Services configuration file
+****************************
 
-Add the following content to your ``/usr/lib/cgi-bin/main.cfg`` file 
-in the ``[env]`` section:
+Building the `saga2zcfg
+<http://zoo-project.org/trac/browser/trunk/thirds/otb2zcfg >`_ utility is required to activate the available SAGA-GIS Modules as WPS Services. This can be done using the following command:
 
 .. code-block:: guess
 
-       ITK_AUTOLOAD_PATH=/usr/local/lib/otb/applications
+    cd thirds/saga2zcfg
+    make
 
-Services configuration file
-^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-The build of the `otb2zcfg  <http://zoo-project.org/trac/browser/trunk/thirds/otb2zcfg>`_ utility is required to activate the available OTB Applications as WPS services. This can be done using the following command: 
+The following commands will then generate all the needed zcfg files for the available SAGA-GIS Modules:
 
 .. code-block:: guess
-	
-	 mkdir build
-	 cd build
-	 ccmake ..
-	 make
-	
-Run the following command to generate all the needed zcfg files for the available OTB Application:
-
-.. code-block:: guess
-	
-	 mkdir zcfgs
-	 cd zcfgs
-	 export ITK_AUTOLOAD_PATH=/your/path/to/otb/applications
-	 ../build/otb2zcfg
-         mkdir /location/to/your/cgi-bin/OTB
-	 cp *zcfg /location/to/your/cgi-bin/OTB
-	
-.. warning 
-
-     The ITK_AUTOLOAD_PATH environment variable is required in the [env] section of your main.cfg.
-
-Test the ZOO SAGA support
-^^^^^^^^^^^^^^^^^^^^^^^
-
-Once done, OTB Applications should be listed as available WPS Services when runing a GetCapabilities request
-
-.. code-block:: guess 
-
-        http://localhost/cgi-bin/zoo_loader.cgi?request=GetCapabilities&service=WPS 
-
-Each OTB Service can then be described individually using the DescribeProcess request, as for example:
-
-.. code-block:: guess
-
-   http://localhost/cgi-bin/zoo_loader.cgi?request=DescribeProcess&service=WPS&version=1.0.0&Identifier=OTB.BandMath
-
-And executed according to your needs, as for the following example executing OTB.BandMath with the OTB sample data as input
-
-.. code-block:: guess
-
-   http://localhost/cgi-bin/zoo_loader.cgi?request=Execute&service=WPS&version=1.0.0&Identifier=OTB.BandMath&DataInputs=il=Reference@xlink:href=http://hg.orfeo-toolbox.org/OTB-Data/raw-file/ca154074b282/Examples/verySmallFSATSW.tif;il=Reference@xlink:href=http://hg.orfeo-toolbox.org/OTB-Data/raw-file/ca154074b282/Examples/verySmallFSATSW_nir.tif;out=float;exp=im1b3*cos%28im1b1%29,im1b2*cos%28im1b1%29,im1b1*cos%28im1b1%29&RawDataOutput=out@mimeType=image/png
-
-When executing OTB applications as WPS Services, it is also possible to check the OTB process status, using the usual ZOO GetStatus request.
+		
+    mkdir zcfgs
+    cd zcfgs
+    ../saga2zcfg
+    mkdir /location/to/your/cgi-bin/SAGA
+    cp *zcfg /location/to/your/cgi-bin/SAGA
 
 
+Test requests
+*****************
 
-    
+The SAGA-GIS Modules should be listed as available WPS Services when
+runing a GetCapabilities request, as follow:
+
+http://localhost/cgi-bin/zoo_loader.cgi?request=GetCapabilities&service=WPS
+
+Each SAGA-GIS Service can then be described individually using the DescribeProcess request, as for example:
+
+http://localhost/cgi-bin/zoo_loader.cgi?request=DescribeProcess&service=WPS&version=1.0.0&Identifier=SAGA.garden_fractals.1
+
+And executed according to your needs. The following example executes *SAGA.garden_fractals.1* with no optional parameter:
+
+http://localhost/cgi-bin/zoo_loader.cgi?request=Execute&service=WPS&version=1.0.0&Identifier=SAGA.garden_fractals.1&DataInputs=&ResponseDocument=RESULT@mimeType=application/json@asReference=true
+
+.. note::
+   
+  The common ZOO GetStatus requests also work when using the SAGA-GIS Modules as WPS Services.
 
 
 
 
-
-
Index: /branches/PublicaMundi_David-devel/docs/kernel/what.rst
===================================================================
--- /branches/PublicaMundi_David-devel/docs/kernel/what.rst	(revision 662)
+++ /branches/PublicaMundi_David-devel/docs/kernel/what.rst	(revision 663)
@@ -19,10 +19,10 @@
 -----------------------
 
-ZOO-Kernel is an extensible WPS server that makes your system more powerful. It provides a full-featured processing engine which runs on Linux, Mac OSX |trade| and Windows |trade| operating systems. ZOO-Kernel works on common web servers (namely `Apache <http://httpd.apache.org/>`_ or `IIS <http://www.iis.net/>`_ |trade|) and can be seamlessly integrated to new or existing web platforms. 
+ZOO-Kernel is an extensible WPS server that makes your system more powerful. It provides a full-featured processing engine which runs on Linux, Mac OSX |trade| and Windows |trade| operating systems. ZOO-Kernel is a CGI program which works on common web servers (namely `Apache <http://httpd.apache.org/>`_ or `IIS <http://www.iis.net/>`_ |trade|). It can be seamlessly integrated to new or existing web platforms. 
 
 ZOO-Kernel lets you process geospatial or non geospatial data using well formed WPS requests. The WPS server is able to manage and chain WPS Services (see ZOO-Services for examples) by loading dynamic libraries and source code written in different programming languages.  
 
 Supported programming languages
-...............................
+........................................................
 
 ZOO-Kernel is a **polyglot**. The software is written in a valid form of multiple programming languages, which performs the same operations independent of the programming language used to compile or interpret it.