Index: branches/PublicaMundi_David-devel/docs/contribute/code.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/contribute/code.rst	(revision 668)
+++ branches/PublicaMundi_David-devel/docs/contribute/code.rst	(revision 679)
@@ -4,5 +4,11 @@
 ===============
 
-Anybody is welcome to share source code and to report bugs or feature requests using the following instructions.
+Anybody can take part to the `ZOO-Project <http://zoo-project.org>`__ developement and is welcome to:
+
+ * Share new source code or correction
+   
+ * Create tickets to report bugs
+   
+ * Write a new feature request.
 
 Submit new code
@@ -12,7 +18,11 @@
 *************************
 
-New source code or existing source code corrections (patches) should be submitted using the ZOO-Project bug tracking system (ZOO-Trac).
+New source code or existing source code corrections (patches) should
+be submitted using the ZOO-Project bug tracking system (`ZOO-Trac <http://zoo-project.org/trac>`__ ).
 
-Create a new ticket in order to describe your code or patch and attach it to the ticket (attach all the needed files needed to use your code or patch). It will then be checked and discussed with the developers, and can potentially be merged with the trunk.
+Create a new ticket in order to describe your code or patch and attach
+it to the ticket (attach all the needed files needed to use your code
+or patch). It will then be checked and discussed with the developers,
+and can potentially be integrated and merged with the trunk.
 
 For registered developers
@@ -33,5 +43,5 @@
 *********************
 
-Bug reports and wishes can be submitted using the ZOO-Trac. This requires you to setup a user account (userid) using this section.
+Bug reports and wishes can be submitted using the `ZOO-Trac <http://zoo-project.org/trac>`__ . This requires you to setup a user account (userid) using this section.
 
 The following trackers are available:
Index: branches/PublicaMundi_David-devel/docs/contribute/contributors.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/contribute/contributors.rst	(revision 668)
+++ branches/PublicaMundi_David-devel/docs/contribute/contributors.rst	(revision 679)
@@ -1,3 +1,3 @@
-.. _contribute_contributors:
+   .. _contribute_contributors:
 
 List of contributors
@@ -7,5 +7,5 @@
 ------------------
 
-The ZOO-Project concept and open source software implementation was initiated in 2008 by the following individuals:
+The ZOO-Project concept, architecture and source code implementation was initiated in 2008 by the following individuals:
 
    * Gérald FENOY (aka djay)
@@ -16,5 +16,7 @@
 ---------------------
 
-The following individuals will be considered authorized ZOO-Project committers as long as they each review the commiter guidelines, and agree to adhere to them. They are listed here by alphabetical order.
+The following individuals will be considered authorized ZOO-Project
+committers as long as they each review the commiter guidelines, and
+agree to adhere to them. The ZOO-Project commiters are listed here by alphabetical order.
 
    * Nicolas BOZON (aka nbozon)
Index: branches/PublicaMundi_David-devel/docs/contribute/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/contribute/index.rst	(revision 668)
+++ branches/PublicaMundi_David-devel/docs/contribute/index.rst	(revision 679)
@@ -12,4 +12,5 @@
    code
    doc
+   translate
    dev
    contributors
Index: branches/PublicaMundi_David-devel/docs/contribute/translate.rst
===================================================================
--- branches/PublicaMundi_David-devel/docs/contribute/translate.rst	(revision 679)
+++ branches/PublicaMundi_David-devel/docs/contribute/translate.rst	(revision 679)
@@ -0,0 +1,83 @@
+.. _contribute_trans:
+
+Contribute translation
+===============
+
+Anybody can take part to the `ZOO-Project <http://zoo-project.org>`__ translation and is welcome to:
+
+ * Translate ZOO-Services configuration files
+   
+ * Translate documentation
+   
+
+ZCFG translation
+--------------------------
+
+First of all, use the following commands from your Services Provider directory in order to extract all the messages to translate from the ZCFG files :
+
+  ::
+  
+      #!/bin/bash
+      for j in cgi-env/*zcfg ; 
+        do 
+          for i in Title Abstract; 
+           do
+            grep $i $j | sed "s:$i = :_(\":g;s:$:\"):g" ;
+           done;
+       done > locale/.cache/my_service_string_to_translate.c
+   
+
+Then generate the 'messages.po' file based on the Services Provider source code using the following command :
+
+  ::
+  
+      #!/bin/bash
+      xgettext service.c locale/.cache/my_service_string_to_translate.c -o message.po -p locale/po/ -k_
+
+Once 'messages.po' is created, use the following command to create the po file for the targeted language for translation. We will use the French language here as an example :
+
+  ::
+  
+      #!/bin/bash
+      cd locale/po/
+      msginit -i messages.po -o zoo_fr_FR.po -l fr
+
+Edit the zoo_fr_FR.po file with your favorite text editor or using one of the following tools :
+
+ * [http://www.poedit.net/ poedit]
+ * [http://translate.sourceforge.net/wiki/virtaal/index virtaal]
+ * [https://www.transifex.net/projects/p/grass6/c/grass64/ transifex]
+ 
+Once the zoo_fr_FR.po file is completed, you can generate and install the corresponding *mo* file using the following command : 
+
+  ::
+  
+      #!/bin/bash
+      msgfmt locale/po/zoo_fr_FR.po -o /usr/share/locale/fr/LC_MESSAGES/zoo-services.mo
+
+
+In order to test the Services Provider ZCFG and internal messages
+translation, please add the language argument to you request. As an
+example, such a request:
+
+[http://youserver/cgi-bin/zoo_loader.cgi?request=GetCapabilities&service=WPS]
+
+would become the following:
+
+[http://youserver/cgi-bin/zoo_loader.cgi?request=GetCapabilities&service=WPS&language=fr-FR]
+
+The following command may also be useful in order to pull all the translations already available for a specific language.
+
+  ::
+  
+      #!sh
+      msgcat -o compilation.po $(find ../../ -name fr_FR.utf8.po)
+      msgfmt compilation.po -o /usr/share/locale/fr/LC_MESSAGES/zoo-services.mo
+
+
+Documentation translation
+--------------------------
+
+Translate the `ZOO-Project <http://zoo-project.org>`__ documentation in your language !
+
+Please refer to the :ref:`<contribute_doc>` section to learn more. 