Index: branches/PublicaMundi_David-devel/docs/_themes/sphinx_rtd_theme/breadcrumbs.html
===================================================================
--- branches/PublicaMundi_David-devel/docs/_themes/sphinx_rtd_theme/breadcrumbs.html	(revision 688)
+++ branches/PublicaMundi_David-devel/docs/_themes/sphinx_rtd_theme/breadcrumbs.html	(revision 689)
@@ -2,5 +2,5 @@
   <ul class="wy-breadcrumbs">
 
-    <li><a href="{{pathto(master_doc) }}"> Docs</a> &#8725; &#160;</li>
+    <li><a href="{{pathto(master_doc) }}"> Documentation</a> &#8725; &#160;</li>
       {% for doc in parents %}
           <li><a href="{{ doc.link|e }}">{{ doc.title }}</a> &#8725; &#160;</li>
@@ -8,11 +8,5 @@
     <li>{{ title }}</li>
       <li class="wy-breadcrumbs-aside">
-        {% if display_github %}
-          <a href="https://{{ github_host|default("github.com") }}/{{ github_user }}/{{ github_repo }}/blob/{{ github_version }}{{ conf_py_path }}{{ pagename }}{{ source_suffix }}" class="fa fa-github"> Edit on GitHub</a>
-        {% elif display_bitbucket %}
-          <a href="https://bitbucket.org/{{ bitbucket_user }}/{{ bitbucket_repo }}/src/{{ bitbucket_version}}{{ conf_py_path }}{{ pagename }}{{ source_suffix }}" class="fa fa-bitbucket"> Edit on Bitbucket</a>
-        {% elif show_source and has_source and sourcename %}
-          <a href="{{ pathto('_sources/' + sourcename, true)|e }}" rel="nofollow"> View page source</a>
-        {% endif %}
+       $date$
       </li>
   </ul>
Index: branches/PublicaMundi_David-devel/workshop/2010/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/2010/index.rst	(revision 688)
+++ branches/PublicaMundi_David-devel/workshop/2010/index.rst	(revision 689)
@@ -6,5 +6,5 @@
 
 :Author:  Nicolas Bozon, Gérald Fenoy
-:Last Updated: $Date: 2011-12-07 14:19:47 +0100 (Mer, 07 déc 2011) $
+:Last Updated: $Date$
 
 ****************************************
@@ -24,17 +24,17 @@
 **************
 
-.. image:: ../../_static/images/geolabs-logo.png
+.. image:: ../_static/images/geolabs-logo.png
    :width: 156px
-   :height: 60px 
+   :height: 56px 
    :target: http://www.geolabs.fr/  
 
-.. image:: ../../_static/images/apptech-logo.png
-   :width: 200px
-   :height: 60px
+.. image:: ../_static/images/apptech-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.apptec.co.jp/   
 
-.. image:: ../../_static/images/neogeo-logo.png
+.. image:: ../_static/images/neogeo-logo.png
    :width: 156px
-   :height: 60px 
+   :height: 56px 
    :target: http://www-neogeo-online.net/  
    
@@ -43,12 +43,12 @@
    \\
 
-.. image:: ../../_static/images/3liz-logo.png
+.. image:: ../_static/images/3liz-logo.png
    :width: 156px
-   :height: 60px
+   :height: 56px
    :target: http://www.3liz.com/   
 
-.. image:: ../../_static/images/gateway-logo.png
-   :width: 200px
-   :height: 60px
+.. image:: ../_static/images/gateway-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.gatewaygeomatics.com/   
 
@@ -57,12 +57,12 @@
 *******************************************
 
-.. image:: ../../_static/images/ocu-logo.png
-   :width: 200px
-   :height: 50px
+.. image:: ../_static/images/ocu-logo.png
+   :width: 156px
+   :height: 94px
    :target: http://www.osaka-cu.ac.jp/english/
 
-.. image:: ../../_static/images/fem-logo.png
-   :width: 260px
-   :height: 50px
+.. image:: ../_static/images/fem-logo.png
+   :width: 156px
+   :height: 94px
    :target: http://www.fondazioneedmundmach.it/
    
@@ -71,12 +71,12 @@
    \\
 
-.. image:: ../../_static/images/polimi-logo.png
-   :width: 200px
-   :height: 50px
+.. image:: ../_static/images/polimi-logo.png
+   :width: 156px
+   :height: 94px
    :target: http://geomatica.como.polimi.it/
 
-.. image:: ../../_static/images/gucas-logo.png
-   :width: 200px
-   :height: 50px
+.. image:: ../_static/images/gucas-logo.png
+   :width: 156px
+   :height: 94px
    :target: http://www.gucas.ac.cn/gscasenglish/index.aspx
    
@@ -85,12 +85,12 @@
    \\
 
-.. image:: ../../_static/images/cumtb-logo.png
-   :width: 200px
-   :height: 50px
+.. image:: ../_static/images/cumtb-logo.png
+   :width: 156px
+   :height: 94px
    :target: http://www.cumtb.edu.cn/
 
-.. image:: ../../_static/images/supsi-logo.png
-   :width: 260px
-   :height: 50px
+.. image:: ../_static/images/supsi-logo.png
+   :width: 156px
+   :height: 94px
    :target: http://www.supsi.ch/home.html
 
Index: branches/PublicaMundi_David-devel/workshop/2012/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/2012/index.rst	(revision 688)
+++ branches/PublicaMundi_David-devel/workshop/2012/index.rst	(revision 689)
@@ -20,16 +20,26 @@
 
 .. image:: ../../_static/images/geolabs-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.geolabs.fr/
 
 .. image:: ../../_static/images/apptech-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.apptec.co.jp/
 
 .. image:: ../../_static/images/neogeo-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www-neogeo-online.net/
-
+  	    
 .. image:: ../../_static/images/3liz-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.3liz.com/
 
 .. image:: ../../_static/images/gateway-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.gatewaygeomatics.com/
 
@@ -38,20 +48,32 @@
 *******************************************
 
-.. image:: ../../_static/images/ocu-logo.png
+.. image:: ../_static/images/ocu-logo.png
+   :width: 156px
+   :height: 94px
    :target: http://www.osaka-cu.ac.jp/english/
 
-.. image:: ../../_static/images/logo-fem.png
+.. image:: ../_static/images/logo-fem.png
+   :width: 156px
+   :height: 94px
     :target: http://www.fondazioneedmundmach.it/
 
-.. image:: ../../_static/images/polimi-logo.png
+.. image:: ../_static/images/polimi-logo.png
+   :width: 156px
+   :height: 94px
     :target: http://geomatica.como.polimi.it/
 
-.. image:: ../../_static/images/gucas-logo.png
+.. image:: ../_static/images/gucas-logo.png
+   :width: 156px
+   :height: 94px
     :target: http://www.gucas.ac.cn/gscasenglish/index.aspx
 
-.. image:: ../../_static/images/cumtb-logo.png
+.. image:: ../_static/images/cumtb-logo.png
+   :width: 156px
+   :height: 94px
     :target: http://www.cumtb.edu.cn/
 
-.. image:: ../../_static/images/logo-supsi.png
+.. image:: ../_static/images/logo-supsi.png
+   :width: 156px
+   :height: 94px
     :target: http://www.supsi.ch/home.html
 
Index: branches/PublicaMundi_David-devel/workshop/2013/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/2013/index.rst	(revision 688)
+++ branches/PublicaMundi_David-devel/workshop/2013/index.rst	(revision 689)
@@ -29,17 +29,27 @@
 **************
 
-.. image:: ../../_static/images/geolabs-logo.png
+.. image:: ../_static/images/geolabs-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.geolabs.fr/
 
-.. image:: ../../_static/images/apptech-logo.png
+.. image:: ../_static/images/apptech-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.apptec.co.jp/
 
-.. image:: ../../_static/images/neogeo-logo.png
+.. image:: ../_static/images/neogeo-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www-neogeo-online.net/
 
-.. image:: ../../_static/images/3liz-logo.png
+.. image:: ../_static/images/3liz-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.3liz.com/
 
-.. image:: ../../_static/images/gateway-logo.png
+.. image:: ../_static/images/gateway-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.gatewaygeomatics.com/
 
@@ -48,20 +58,32 @@
 *******************************************
 
-.. image:: ../../_static/images/ocu-logo.png
+.. image:: ../_static/images/ocu-logo.png
+   :width: 156px
+   :height: 94px
    :target: http://www.osaka-cu.ac.jp/english/
 
-.. image:: ../../_static/images/fem-logo.png
+.. image:: ../_static/images/logo-fem.png
+   :width: 156px
+   :height: 94px
     :target: http://www.fondazioneedmundmach.it/
 
-.. image:: ../../_static/images/polimi-logo.png
+.. image:: ../_static/images/polimi-logo.png
+   :width: 156px
+   :height: 94px
     :target: http://geomatica.como.polimi.it/
 
-.. image:: ../../_static/images/gucas-logo.png
+.. image:: ../_static/images/gucas-logo.png
+   :width: 156px
+   :height: 94px
     :target: http://www.gucas.ac.cn/gscasenglish/index.aspx
 
-.. image:: ../../_static/images/cumtb-logo.png
+.. image:: ../_static/images/cumtb-logo.png
+   :width: 156px
+   :height: 94px
     :target: http://www.cumtb.edu.cn/
 
-.. image:: ../../_static/images/supsi-logo.png
+.. image:: ../_static/images/logo-supsi.png
+   :width: 156px
+   :height: 94px
     :target: http://www.supsi.ch/home.html
 
Index: branches/PublicaMundi_David-devel/workshop/2014/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/2014/index.rst	(revision 688)
+++ branches/PublicaMundi_David-devel/workshop/2014/index.rst	(revision 689)
@@ -11,5 +11,5 @@
 :Author:  Gérald Fenoy, Nicolas Bozon, Venkatesh Raghavan
 :Contact: gerald.fenoy at geolabs.fr, nicolas.bozon at gmail.com, venka at osgeo.org
-:Last Updated: $Date: 2015-02-09 19:21:38 +0100 (Lun, 09 fév 2015) $
+:Last Updated: $Date$
 
 FOSS4G 2014 Portland
@@ -21,43 +21,68 @@
 
 
+**************
 Sponsored By
-.........................................................................................
+**************
 
-.. image:: ../../_static/images/geolabs-logo.png
+.. image:: ../_static/images/geolabs-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.geolabs.fr/
 
-.. image:: ../../_static/images/apptech-logo.png
+.. image:: ../_static/images/apptech-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.apptec.co.jp/
 
-.. image:: ../../_static/images/neogeo-logo.png
+.. image:: ../_static/images/neogeo-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www-neogeo-online.net/
 
-.. image:: ../../_static/images/3liz-logo.png
+.. image:: ../_static/images/3liz-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.3liz.com/
 
-.. image:: ../../_static/images/gateway-logo.png
+.. image:: ../_static/images/gateway-logo.png
+   :width: 156px
+   :height: 56px
    :target: http://www.gatewaygeomatics.com/
 
+	    
+*******************************************
+Special thanks to our Knowledge Partners
+*******************************************
 
-Special thanks to our Knowledge Partners
-.........................................................................................
-
-.. image:: ../../_static/images/ocu-logo.png
+.. image:: ../_static/images/ocu-logo.png
+   :width: 156px
+   :height: 94px
    :target: http://www.osaka-cu.ac.jp/english/
 
-.. image:: ../../_static/images/fem-logo.png
+.. image:: ../_static/images/logo-fem.png
+   :width: 156px
+   :height: 94px
     :target: http://www.fondazioneedmundmach.it/
 
-.. image:: ../../_static/images/polimi-logo.png
+.. image:: ../_static/images/polimi-logo.png
+   :width: 156px
+   :height: 94px
     :target: http://geomatica.como.polimi.it/
 
-.. image:: ../../_static/images/gucas-logo.png
+.. image:: ../_static/images/gucas-logo.png
+   :width: 156px
+   :height: 94px
     :target: http://www.gucas.ac.cn/gscasenglish/index.aspx
 
-.. image:: ../../_static/images/cumtb-logo.png
+.. image:: ../_static/images/cumtb-logo.png
+   :width: 156px
+   :height: 94px
     :target: http://www.cumtb.edu.cn/
 
-.. image:: ../../_static/images/supsi-logo.png
+.. image:: ../_static/images/logo-supsi.png
+   :width: 156px
+   :height: 94px
     :target: http://www.supsi.ch/home.html
+	     
 
 WorkShop table of content
Index: branches/PublicaMundi_David-devel/workshop/_themes/sphinx_rtd_theme/breadcrumbs.html
===================================================================
--- branches/PublicaMundi_David-devel/workshop/_themes/sphinx_rtd_theme/breadcrumbs.html	(revision 688)
+++ branches/PublicaMundi_David-devel/workshop/_themes/sphinx_rtd_theme/breadcrumbs.html	(revision 689)
@@ -2,5 +2,5 @@
   <ul class="wy-breadcrumbs">
 
-    <li><a href="{{pathto(master_doc) }}"> Docs</a> &#8725; &#160;</li>
+    <li><a href="{{pathto(master_doc) }}"> Workshops</a> &#8725; &#160;</li>
       {% for doc in parents %}
           <li><a href="{{ doc.link|e }}">{{ doc.title }}</a> &#8725; &#160;</li>
@@ -8,10 +8,5 @@
     <li>{{ title }}</li>
       <li class="wy-breadcrumbs-aside">
-        {% if display_github %}
-          <a href="https://{{ github_host|default("github.com") }}/{{ github_user }}/{{ github_repo }}/blob/{{ github_version }}{{ conf_py_path }}{{ pagename }}{{ source_suffix }}" class="fa fa-github"> Edit on GitHub</a>
-        {% elif display_bitbucket %}
-          <a href="https://bitbucket.org/{{ bitbucket_user }}/{{ bitbucket_repo }}/src/{{ bitbucket_version}}{{ conf_py_path }}{{ pagename }}{{ source_suffix }}" class="fa fa-bitbucket"> Edit on Bitbucket</a>
-        {% elif show_source and has_source and sourcename %}
-          <a href="{{ pathto('_sources/' + sourcename, true)|e }}" rel="nofollow"> View page source</a>
+        $Date$
         {% endif %}
       </li>
Index: branches/PublicaMundi_David-devel/workshop/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/index.rst	(revision 688)
+++ branches/PublicaMundi_David-devel/workshop/index.rst	(revision 689)
@@ -19,6 +19,5 @@
 
 .. image:: _static/by-sa.png
-   :height: 141px
-   :width: 403px
-   :scale: 50 %
+   :height: 50px
+   :width: 100px
    :alt: CC-BY-SA license