Index: branches/PublicaMundi_David-devel/workshop/2010/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/2010/index.rst	(revision 693)
+++ branches/PublicaMundi_David-devel/workshop/2010/index.rst	(revision 694)
@@ -2,13 +2,11 @@
 
 ##############################################################
-Workshop: Practical Introduction to ZOO: The Open WPS Platform
+ZOO-Project Workshop 2010
 ##############################################################
 
-:Author:  Nicolas Bozon, Gérald Fenoy
+:Original Title: Practical Introduction to ZOO: The Open WPS Platform
+:Author:  Nicolas Bozon, Gérald Fenoy, Venkatesh Raghavan
 :Last Updated: $Date$
-
-****************************************
-FOSS4G 2010 Osaka / Tokyo / Beijing
-****************************************
+:Events: FOSS4G 2010 Osaka / Tokyo / Beijing
 
 .. image:: ./images/foss4g2010tokyo.png
@@ -20,7 +18,6 @@
    :height: 100px
 
-**************
-Sponsored By
-**************
+
+**Sponsored By**
 
 .. image:: ../_static/geolabs-logo.png
@@ -49,7 +46,5 @@
    :target: http://www.gatewaygeomatics.com/   
 
-*******************************************
-Special Thanks To Our Knowledge Partners
-*******************************************
+**Special Thanks To Our Knowledge Partners**
 
 .. image:: ../_static/ocu-logo.png
@@ -83,7 +78,6 @@
    :target: http://www.supsi.ch/home.html
 
-****************************
-Workshop Table of Contents
-****************************
+**Workshop Table of Contents**
+
 .. toctree::
    :maxdepth: 5
Index: branches/PublicaMundi_David-devel/workshop/2012/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/2012/index.rst	(revision 693)
+++ branches/PublicaMundi_David-devel/workshop/2012/index.rst	(revision 694)
@@ -2,20 +2,18 @@
 
 ##########################################
-Practical Introduction to ZOO-Project by playing with building blocks
+ZOO-Project Workshop 2012
 ##########################################
 
-:Author:  Gérald Fenoy, Nicolas Bozon
+:Original Title: Practical Introduction to ZOO-Project by playing with building blocks
+:Author:  Nicolas Bozon, Gérald Fenoy, Venkatesh Raghavan
 :Contact: gerald.fenoy at geolabs.fr, nicolas.bozon at gmail.com
 :Last Updated: $Date$
-
-****************************************
-FOSS4G 2012 Prague
-****************************************
+:Events: FOSS4G 2012 Prague
 
 .. image:: ./images/foss4gcee2012.png
 
-**************
-Sponsored By
-**************
+
+**Sponsored By**
+
 
 .. image:: ../_static/geolabs-logo.png
@@ -43,9 +41,9 @@
    :height: 56px
    :target: http://www.gatewaygeomatics.com/
-	    
 
-*******************************************
-Special thanks to our Knowledge Partners
-*******************************************
+
+**Special thanks to our Knowledge Partners**
+
+
 .. image:: ../_static/ocu-logo.png
    :width: 156px
@@ -77,9 +75,8 @@
    :height: 94px
    :target: http://www.supsi.ch/home.html
-	    
 
-****************************
-WorkShop table of content
-****************************
+
+**WorkShop table of content**
+
 .. toctree::
    :maxdepth: 5
Index: branches/PublicaMundi_David-devel/workshop/2013/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/2013/index.rst	(revision 693)
+++ branches/PublicaMundi_David-devel/workshop/2013/index.rst	(revision 694)
@@ -1,6 +1,6 @@
-.. _workshop-foss4g-cee-2012:
+.. _workshop-foss4g-2013:
 
 ##########################################
-ZOO-Project: playing with building blocks to build pgRouting web application
+ZOO-Project Workshop 2013
 ##########################################
 
@@ -8,8 +8,6 @@
 :Contact: gerald.fenoy at geolabs.fr, nicolas.bozon at gmail.com, venka at osgeo.org
 :Last Updated: $Date$
-
-****************************************
-FOSS4G 2013 Nottingham
-****************************************
+:Events: FOSS4G 2013 Nottingham, FOSS4G-CEE 2013 Bucharest
+:Original Title: ZOO-Project: playing with building blocks to build pgRouting web application
 
 .. image:: ./images/foss4g2013-white-300.png
@@ -17,15 +15,9 @@
    :align: center
 
-****************************************
-FOSS4G-CEE 2013 Bucharest
-****************************************
-
 .. image:: ./images/logo-foss4g-cee-2013.png
    :target: http://2013.foss4g-cee.org/
    :align: center
 
-**************
 Sponsored By
-**************
 
 .. image:: ../_static/geolabs-logo.png
@@ -54,7 +46,5 @@
    :target: http://www.gatewaygeomatics.com/
 
-*******************************************
 Special thanks to our Knowledge Partners
-*******************************************
 
 .. image:: ../_static/ocu-logo.png
@@ -88,7 +78,6 @@
    :target: http://www.supsi.ch/home.html
 
-****************************
 WorkShop table of content
-****************************
+
 .. toctree::
    :maxdepth: 5
Index: branches/PublicaMundi_David-devel/workshop/2014/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/2014/index.rst	(revision 693)
+++ branches/PublicaMundi_David-devel/workshop/2014/index.rst	(revision 694)
@@ -1,18 +1,14 @@
 .. _workshop-foss4g-2014:
 
-ZOO-Project workshop
-===================================
+##########################################
+ZOO-Project workshop 2014
+##########################################
 
-
-Deploying Web Processing Services using ZOO-Project – Examples of
-Python based WPS using PgRouting 
-
-
+:Original Title: Deploying Web Processing Services using ZOO-Project –
+		 Examples of Python based WPS using PgRouting 
 :Author:  Gérald Fenoy, Nicolas Bozon, Venkatesh Raghavan
 :Contact: gerald.fenoy at geolabs.fr, nicolas.bozon at gmail.com, venka at osgeo.org
 :Last Updated: $Date$
-
-FOSS4G 2014 Portland
---------------------------------------------
+:Events: FOSS4G 2014 Portland
 
 .. image:: ./images/FOSS4G_Ad_200x100_2x.jpg
@@ -21,7 +17,7 @@
 
 
-**************
-Sponsored By
-**************
+
+**Sponsored By**
+
 
 .. image:: ../_static/geolabs-logo.png
@@ -51,7 +47,7 @@
 	    
 
-*******************************************
-Special thanks to our Knowledge Partners
-*******************************************
+
+**Special thanks to our Knowledge Partners**
+
 
 .. image:: ../_static/ocu-logo.png
@@ -86,6 +82,6 @@
 	     
 
-WorkShop table of content
---------------------------------------------
+** WorkShop table of content **
+
 .. toctree::
    :maxdepth: 5
Index: branches/PublicaMundi_David-devel/workshop/index.rst
===================================================================
--- branches/PublicaMundi_David-devel/workshop/index.rst	(revision 693)
+++ branches/PublicaMundi_David-devel/workshop/index.rst	(revision 694)
@@ -4,8 +4,11 @@
 =============================
 
-This is the `ZOO-Project <http://zoo-project.org>`__ workshop section.
+Welcome on the `ZOO-Project <http://zoo-project.org>`__ workshop
+section, here you can find hands on materials presenting how to use
+the ZOO-Project for the first time in an `OSGeoLive
+<http://live.osgeo.org/>`__ environment.
 
 .. toctree::
-   :maxdepth: 2
+   :maxdepth: 1
 
    2014/index