Index: trunk/thirds/otb2zcfg/otb2zcfg.cxx
===================================================================
--- trunk/thirds/otb2zcfg/otb2zcfg.cxx	(revision 695)
+++ trunk/thirds/otb2zcfg/otb2zcfg.cxx	(revision 703)
@@ -178,5 +178,6 @@
 	  /* Bounded and unbounded parameters */
 	  if(type == ParameterType_StringList || type == ParameterType_InputImageList
-	     || type == ParameterType_InputVectorDataList || type == ParameterType_InputFilenameList)
+	     || type == ParameterType_InputVectorDataList || type == ParameterType_InputFilenameList
+	     || type == ParameterType_ListView)
 	    std::cout << "   maxOccurs = 1024" << std::endl;
 	  else
Index: trunk/thirds/saga2zcfg/saga2zcfg.c
===================================================================
--- trunk/thirds/saga2zcfg/saga2zcfg.c	(revision 695)
+++ trunk/thirds/saga2zcfg/saga2zcfg.c	(revision 703)
@@ -188,5 +188,15 @@
 	  for(int k=0;k<pc;k++){
 	    CSG_Parameter * param=params->Get_Parameter(k);
-	  
+	    
+	    if(CSG_String(param->Get_Type_Identifier()).is_Same_As(CSG_String("parameters"),true)){
+	      int pc0=param->asParameters()->Get_Count();
+	      int l;
+	      fprintf(stderr,"%s\n",CSG_String(param->Get_Name()).b_str());
+	      for(l=0;l<pc0;l++){
+		CSG_Parameter * param0=param->asParameters()->Get_Parameter(l);
+		fprintf(stderr,"%s\n",CSG_String(param0->Get_Type_Identifier()).b_str());
+	      }
+	    }
+	    
 	    // Node should be used for defining Complex ComplexData
 	    if(CSG_String(param->Get_Type_Identifier()).is_Same_As(CSG_String("color"))){
Index: trunk/zoo-project/COMMITTERS
===================================================================
--- trunk/zoo-project/COMMITTERS	(revision 695)
+++ trunk/zoo-project/COMMITTERS	(revision 703)
@@ -9,5 +9,5 @@
 david         David SAGGIORATO
 	      dsaggiorato at free.fr
-djay          Gérald FENOY
+djay          Gérald FENOY *SVN Admin*
 	      gerald.fenoy at geolabs.fr
 jmckenna      Jeff MCKENNA
Index: trunk/zoo-project/zoo-kernel/request_parser.c
===================================================================
--- trunk/zoo-project/zoo-kernel/request_parser.c	(revision 695)
+++ trunk/zoo-project/zoo-kernel/request_parser.c	(revision 703)
@@ -952,9 +952,7 @@
 				  xmlDocDumpFormatMemoryEnc (doc1, &mv,
 							     &buffersize,
-							     "utf-8", 1);
-				  char size[1024];
-				  sprintf (size, "%d", buffersize);
-				  addToMap (tmpmaps->content, "size",
-					    size);
+							     "utf-8", 0);
+				  addIntToMap (tmpmaps->content, "size",
+					       buffersize);
 				  xmlFreeDoc (doc1);
 				}
@@ -967,9 +965,6 @@
 				    xmlDocDumpFormatMemoryEnc (doc1, &mv,
 							       &buffersize,
-							       "utf-8", 1);
-				    char size[1024];
-				    sprintf (size, "%d", buffersize);
-				    addToMap (tmpmaps->content, "size",
-					      size);
+							       "utf-8", 0);
+				    addIntToMap(tmpmaps->content, "size",buffersize);
 				    xmlFreeDoc (doc2);
 				    xmlFreeDoc (doc1);
@@ -990,10 +985,12 @@
 			    {
 			      addToMap (tmpmaps->content, "value",
-					(char *) mv);
+					(char*) mv);
 			      xmlFree (mv);
+			      dumpMap(tmpmaps->content);
 			    }
 			}
 		      else
 			{
+			  fprintf(stderr,"DEBUG %s %d \n",__FILE__,__LINE__);
 			  xmlChar *tmp = xmlNodeListGetRawString (doc,
 								  cur4->xmlChildrenNode,
@@ -1003,4 +1000,5 @@
 			  xmlFree (tmp);
 			}
+
 		      cur4 = cur4->next;
 		    }
Index: trunk/zoo-project/zoo-kernel/service_internal.c
===================================================================
--- trunk/zoo-project/zoo-kernel/service_internal.c	(revision 695)
+++ trunk/zoo-project/zoo-kernel/service_internal.c	(revision 703)
@@ -23,5 +23,4 @@
  */
 
-#include "service_internal.h"
 #ifdef USE_MS
 #include "service_internal_ms.h"
@@ -29,4 +28,5 @@
 #include "cpl_vsi.h"
 #endif
+#include "service_internal.h"
 
 #ifndef TRUE
Index: trunk/zoo-project/zoo-kernel/zoo_service_loader.c
===================================================================
--- trunk/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 695)
+++ trunk/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 703)
@@ -2192,4 +2192,7 @@
       char *tmps1 = (char *) malloc ((flen + 1) * sizeof (char));
       fread (tmps1, flen, 1, f2);
+      char *pchr=strrchr(tmps1,'>');
+      flen=strlen(tmps1)-strlen(pchr)+1;
+      tmps1[flen]=0;
       fwrite (tmps1, 1, flen, f3);
       fclose (f2);