Index: /branches/PublicaMundi_David-devel/workshop/2010/index.rst
===================================================================
--- /branches/PublicaMundi_David-devel/workshop/2010/index.rst	(revision 705)
+++ /branches/PublicaMundi_David-devel/workshop/2010/index.rst	(revision 706)
@@ -5,5 +5,5 @@
 ##############################################################
 
-:Original Title: Practical Introduction to ZOO: The Open WPS Platform
+:Original Title: *Practical Introduction to ZOO: The Open WPS Platform*
 :Author:  Nicolas Bozon, Gérald Fenoy, Venkatesh Raghavan
 :Last Updated: $Date$
@@ -18,64 +18,4 @@
    :height: 100px
 
-
-**Sponsored By**
-
-.. image:: ../_static/geolabs-logo.png
-   :width: 156px
-   :height: 56px 
-   :target: http://www.geolabs.fr/  
-
-.. image:: ../_static/apptech-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.apptec.co.jp/   
-
-.. image:: ../_static/neogeo-logo.png
-   :width: 156px
-   :height: 56px 
-   :target: http://www-neogeo-online.net/  
-
-.. image:: ../_static/3liz-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.3liz.com/   
-
-.. image:: ../_static/gateway-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.gatewaygeomatics.com/   
-
-**Special Thanks To Our Knowledge Partners**
-
-.. image:: ../_static/ocu-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.osaka-cu.ac.jp/english/
-
-.. image:: ../_static/fem-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.fondazioneedmundmach.it/
-
-.. image:: ../_static/polimi-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://geomatica.como.polimi.it/
-
-.. image:: ../_static/gucas-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.gucas.ac.cn/gscasenglish/index.aspx
-
-.. image:: ../_static/cumtb-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.cumtb.edu.cn/
-
-.. image:: ../_static/supsi-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.supsi.ch/home.html
-
 **Workshop Table of Contents**
 
Index: /branches/PublicaMundi_David-devel/workshop/2012/index.rst
===================================================================
--- /branches/PublicaMundi_David-devel/workshop/2012/index.rst	(revision 705)
+++ /branches/PublicaMundi_David-devel/workshop/2012/index.rst	(revision 706)
@@ -14,67 +14,4 @@
 
 
-**Sponsored By**
-
-
-.. image:: ../_static/geolabs-logo.png
-   :width: 156px
-   :height: 56px 
-   :target: http://www.geolabs.fr/  
-
-.. image:: ../_static/apptech-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.apptec.co.jp/   
-
-.. image:: ../_static/neogeo-logo.png
-   :width: 156px
-   :height: 56px 
-   :target: http://www-neogeo-online.net/  
-
-.. image:: ../_static/3liz-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.3liz.com/   
-
-.. image:: ../_static/gateway-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.gatewaygeomatics.com/
-
-
-**Special thanks to our Knowledge Partners**
-
-
-.. image:: ../_static/ocu-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.osaka-cu.ac.jp/english/
-
-.. image:: ../_static/fem-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.fondazioneedmundmach.it/
-
-.. image:: ../_static/polimi-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://geomatica.como.polimi.it/
-
-.. image:: ../_static/gucas-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.gucas.ac.cn/gscasenglish/index.aspx
-
-.. image:: ../_static/cumtb-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.cumtb.edu.cn/
-
-.. image:: ../_static/supsi-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.supsi.ch/home.html
-
-
 **WorkShop table of content**
 
Index: /branches/PublicaMundi_David-devel/workshop/2013/index.rst
===================================================================
--- /branches/PublicaMundi_David-devel/workshop/2013/index.rst	(revision 705)
+++ /branches/PublicaMundi_David-devel/workshop/2013/index.rst	(revision 706)
@@ -19,64 +19,5 @@
    :align: center
 
-Sponsored By
-
-.. image:: ../_static/geolabs-logo.png
-   :width: 156px
-   :height: 56px 
-   :target: http://www.geolabs.fr/  
-
-.. image:: ../_static/apptech-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.apptec.co.jp/   
-
-.. image:: ../_static/neogeo-logo.png
-   :width: 156px
-   :height: 56px 
-   :target: http://www-neogeo-online.net/  
-
-.. image:: ../_static/3liz-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.3liz.com/   
-
-.. image:: ../_static/gateway-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.gatewaygeomatics.com/
-
-Special thanks to our Knowledge Partners
-
-.. image:: ../_static/ocu-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.osaka-cu.ac.jp/english/
-
-.. image:: ../_static/fem-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.fondazioneedmundmach.it/
-   
-.. image:: ../_static/polimi-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://geomatica.como.polimi.it/
-
-.. image:: ../_static/gucas-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.gucas.ac.cn/gscasenglish/index.aspx
-
-.. image:: ../_static/cumtb-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.cumtb.edu.cn/
-
-.. image:: ../_static/supsi-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.supsi.ch/home.html
-
-WorkShop table of content
+**WorkShop table of content**
 
 .. toctree::
Index: /branches/PublicaMundi_David-devel/workshop/2014/index.rst
===================================================================
--- /branches/PublicaMundi_David-devel/workshop/2014/index.rst	(revision 705)
+++ /branches/PublicaMundi_David-devel/workshop/2014/index.rst	(revision 706)
@@ -16,71 +16,5 @@
    :align: center
 
-
-
-**Sponsored By**
-
-
-.. image:: ../_static/geolabs-logo.png
-   :width: 156px
-   :height: 56px 
-   :target: http://www.geolabs.fr/  
-
-.. image:: ../_static/apptech-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.apptec.co.jp/   
-
-.. image:: ../_static/neogeo-logo.png
-   :width: 156px
-   :height: 56px 
-   :target: http://www-neogeo-online.net/  
-
-.. image:: ../_static/3liz-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.3liz.com/   
-
-.. image:: ../_static/gateway-logo.png
-   :width: 156px
-   :height: 56px
-   :target: http://www.gatewaygeomatics.com/
-	    
-
-
-**Special thanks to our Knowledge Partners**
-
-
-.. image:: ../_static/ocu-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.osaka-cu.ac.jp/english/
-
-.. image:: ../_static/fem-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.fondazioneedmundmach.it/
-
-.. image:: ../_static/polimi-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://geomatica.como.polimi.it/
-
-.. image:: ../_static/gucas-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.gucas.ac.cn/gscasenglish/index.aspx
-
-.. image:: ../_static/cumtb-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.cumtb.edu.cn/
-
-.. image:: ../_static/supsi-logo.png
-   :width: 156px
-   :height: 94px
-   :target: http://www.supsi.ch/home.html
-	     
-
-** WorkShop table of content **
+**WorkShop table of content**
 
 .. toctree::
Index: /branches/PublicaMundi_David-devel/workshop/index.rst
===================================================================
--- /branches/PublicaMundi_David-devel/workshop/index.rst	(revision 705)
+++ /branches/PublicaMundi_David-devel/workshop/index.rst	(revision 706)
@@ -25,2 +25,63 @@
    :width: 100px
    :alt: CC-BY-SA license
+
+
+**Sponsored By**
+
+.. image:: ./_static/geolabs-logo.png
+   :width: 156px
+   :height: 56px 
+   :target: http://www.geolabs.fr/  
+
+.. image:: ./_static/apptech-logo.png
+   :width: 156px
+   :height: 56px
+   :target: http://www.apptec.co.jp/   
+
+.. image:: ./_static/neogeo-logo.png
+   :width: 156px
+   :height: 56px 
+   :target: http://www-neogeo-online.net/  
+
+.. image:: ./_static/3liz-logo.png
+   :width: 156px
+   :height: 56px
+   :target: http://www.3liz.com/   
+
+.. image:: ./_static/gateway-logo.png
+   :width: 156px
+   :height: 56px
+   :target: http://www.gatewaygeomatics.com/   
+
+**Special Thanks To Our Knowledge Partners**
+
+.. image:: ./_static/ocu-logo.png
+   :width: 156px
+   :height: 94px
+   :target: http://www.osaka-cu.ac.jp/english/
+
+.. image:: ./_static/fem-logo.png
+   :width: 156px
+   :height: 94px
+   :target: http://www.fondazioneedmundmach.it/
+
+.. image:: ./_static/polimi-logo.png
+   :width: 156px
+   :height: 94px
+   :target: http://geomatica.como.polimi.it/
+
+.. image:: ./_static/gucas-logo.png
+   :width: 156px
+   :height: 94px
+   :target: http://www.gucas.ac.cn/gscasenglish/index.aspx
+
+.. image:: ./_static/cumtb-logo.png
+   :width: 156px
+   :height: 94px
+   :target: http://www.cumtb.edu.cn/
+
+.. image:: ./_static/supsi-logo.png
+   :width: 156px
+   :height: 94px
+   :target: http://www.supsi.ch/home.html
+